%define upstream_name    Module-Install-DOAPChangeSets
%define upstream_version 0.206

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Vocabulary guide
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Perl::Version)
BuildRequires: perl(RDF::Query)
BuildRequires: perl(RDF::Trine)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(URI::file)
BuildRequires: perl(parent)
BuildArch: noarch

%description
This module takes software changelogs written in the RDF DOAP Change Sets
vocabulary and produces human-readable changelogs.

* 'RDF::DOAP::ChangeSets->new($uri, $data, $type, $fmt)'

  Creates and initialises an object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README SIGNATURE LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.206.0-6.mga6
+ Revision: 1030067
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 0.206.0-5.mga6
+ Revision: 928729
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.206.0-3.mga5
+ Revision: 685440
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.206.0-2.mga4
+ Revision: 531047
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 sander85 <sander85> 0.206.0-1.mga4
+ Revision: 461677
- update to 0.206

* Wed Jun 19 2013 shlomif <shlomif> 0.205.0-1.mga4
+ Revision: 445063
- New version 0.205

* Sun Jan 13 2013 umeabot <umeabot> 0.203.0-2.mga3
+ Revision: 369858
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 shlomif <shlomif> 0.203.0-1.mga3
+ Revision: 334246
- imported package perl-Module-Install-DOAPChangeSets


* Sun Dec 23 2012 cpan2dist 0.203-1mga
- initial mageia release, generated with cpan2dist
